<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: GPIOInstance_s Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structGPIOInstance__s.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">GPIOInstance_s Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>structure for a GPIO Port-Pin  
 <a href="structGPIOInstance__s.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="GPIO_8h_source.html">GPIO.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a54c6070a2baeacc8bc313fb15f473af0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54c6070a2baeacc8bc313fb15f473af0"></a>
GPIO_TypeDef *&#160;</td><td class="memItemRight" valign="bottom"><b>GPIOX</b></td></tr>
<tr class="separator:a54c6070a2baeacc8bc313fb15f473af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe6007e487512e7ca1a066f722207948"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe6007e487512e7ca1a066f722207948"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#afe6007e487512e7ca1a066f722207948">GPIOX_Pin</a></td></tr>
<tr class="memdesc:afe6007e487512e7ca1a066f722207948"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO - Typedef provided by ST. <br /></td></tr>
<tr class="separator:afe6007e487512e7ca1a066f722207948"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a522ceef5fc75e7b4556d7bfaf2dc1af2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a522ceef5fc75e7b4556d7bfaf2dc1af2"></a>
<a class="el" href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">GPIOMode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#a522ceef5fc75e7b4556d7bfaf2dc1af2">GPIOX_Mode</a></td></tr>
<tr class="memdesc:a522ceef5fc75e7b4556d7bfaf2dc1af2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin-Number of the Port-Pin. <br /></td></tr>
<tr class="separator:a522ceef5fc75e7b4556d7bfaf2dc1af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33fb015cc136e93640423fe724d14177"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33fb015cc136e93640423fe724d14177"></a>
<a class="el" href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">GPIOType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#a33fb015cc136e93640423fe724d14177">GPIOX_Type</a></td></tr>
<tr class="memdesc:a33fb015cc136e93640423fe724d14177"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pin-Number of the Port-Pin. <br /></td></tr>
<tr class="separator:a33fb015cc136e93640423fe724d14177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7932939d4c527d961b4f9dd75ef164a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7932939d4c527d961b4f9dd75ef164a9"></a>
<a class="el" href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">GPIOSpeed_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#a7932939d4c527d961b4f9dd75ef164a9">GPIOX_Speed</a></td></tr>
<tr class="memdesc:a7932939d4c527d961b4f9dd75ef164a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port-Pin-Type. <br /></td></tr>
<tr class="separator:a7932939d4c527d961b4f9dd75ef164a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a944734d11ef162cad82d2bbc17cdce68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a944734d11ef162cad82d2bbc17cdce68"></a>
<a class="el" href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">GPIOPull_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#a944734d11ef162cad82d2bbc17cdce68">GPIOX_Pull</a></td></tr>
<tr class="memdesc:a944734d11ef162cad82d2bbc17cdce68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port-Pin-Speed. <br /></td></tr>
<tr class="separator:a944734d11ef162cad82d2bbc17cdce68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0191b4f5200120529db7680bddc766d3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGPIOInstance__s.html#a0191b4f5200120529db7680bddc766d3">GPIOX_AlternativeFunction</a></td></tr>
<tr class="memdesc:a0191b4f5200120529db7680bddc766d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port-Pin-Pull method.  <a href="#a0191b4f5200120529db7680bddc766d3">More...</a><br /></td></tr>
<tr class="separator:a0191b4f5200120529db7680bddc766d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf0db3d2adb6c7103f627c1c87de705"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaaf0db3d2adb6c7103f627c1c87de705"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>GPIOX_ADC_Channel</b></td></tr>
<tr class="separator:aaaf0db3d2adb6c7103f627c1c87de705"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>structure for a GPIO Port-Pin </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a0191b4f5200120529db7680bddc766d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> GPIOInstance_s::GPIOX_AlternativeFunction</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Port-Pin-Pull method. </p>
<p>Port-Pin-Alternative-Function Number </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>API/inc/<a class="el" href="GPIO_8h_source.html">GPIO.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structGPIOInstance__s.html">GPIOInstance_s</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:44 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
